Get balance history

This allows you to get balance history and filter using currency, date or page

The implementation above shows you how to fetch your wallet transaction history. We also provide you with three different ways to filter through your list of transactions and return only the data you need. We do this by making it possible for you to filter your wallet transactions in the following ways:

1. Filter by wallet currency:

GET /v2/gpx/wallet/statement?seckey=FLWSECK_TEST-c2158797bdde90a7ad5-X&currency=USD

2. Filter by date range:

GET /v2/gpx/wallet/statement?seckey=FLWSECK_TEST-c2158797bdde90a7ad5-X&currency=USD&from=2020-03-01&to=2020-03-18

3. Filter by pages:

GET /v2/gpx/wallet/statement?seckey=FLWSECK_TEST-c2158797bdde90a7ad5-X&currency=USD&from=2020-03-01&to=2020-03-18&page=2
Query Params
string
Defaults to USD

You can filter your transaction history by specifying a currency value. This request will filter your search and return only transactions carried in the provided currency

string
Defaults to 2020-03-01

This is the start date to begin to fetch the transactions. It is provided in the format YYYY-MM-DD

string
Defaults to 2020-03-18

This is the end date to fetch the transactions. It is provided in the format YYYY-MM-DD

int32
Defaults to 2

This specifies how many pages of the transaction listing you want to fetch

string
required
Defaults to FLWSECK_TEST-c2158797bdde90a7ad5-X

Your Flutterwave security API key

string
Defaults to D

This value can either be C or D (where C means Credit and D means Debit)

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json